# TInterpolator2D Class Reference

Inheritance diagram for TInterpolator2D:

List of all members.

## Public Types
enum | EAlignement { kAligned, kNotAligned, kAllOntheSameSpot }
## Public Member Functions
| TInterpolator2D ()
| ~TInterpolator2D ()
void | Init (const TMCArray< TVector2f > &pointList)
real64 | Interpolate (TVector2f clickpoint, TVectorN< real64 > &paramValues)
EAlignement | GetAlignmentMode ()
int32 | GetDimension ()
## Protected Member Functions
EAlignement | PointsAlignementTest (const TMCArray< TVector2f > &pointList)
void | ChangeCoordinateSystem (const TMCArray< TVector2f > &pointList, TMCArray< TVector2f > &newPointList)
void | BuildInterpolationMatrix (const TMCArray< TVector2f > &pointList, TMatrixMN< real64 > &interpolationMatrix, EAlignement alignment)
void | BuildTriangularMatrix (const TMatrixMN< real64 > &interpolationMatrix, TMatrixTriangulator &triangulator)
## Protected Attributes
TMatrixTriangulator | fTriangulator
TMatrixMN< real64 > | fInterpolationMatrix
TMCArray< TVector2f > | fPointList
EAlignement | fAlignement
TVector2d | fRefVector
TVector2f | fFirstPoint
TPointsMerger | fPointsMerger

## Member Enumeration Documentation

enum TInterpolator2D::EAlignement

Enumerator:

  kAligned |
  kNotAligned |
  kAllOntheSameSpot |

## Constructor & Destructor Documentation

TInterpolator2D::TInterpolator2D | ( |  | ) |

TInterpolator2D::~TInterpolator2D | ( |  | ) |

## Member Function Documentation

void TInterpolator2D::BuildInterpolationMatrix | ( | const TMCArray< TVector2f > & | pointList,
|  | TMatrixMN< real64 > & | interpolationMatrix,
|  | EAlignement | alignment |
| ) |  |  | `[protected]`

void TInterpolator2D::BuildTriangularMatrix | ( | const TMatrixMN< real64 > & | interpolationMatrix,
|  | TMatrixTriangulator & | triangulator |
| ) |  |  | `[protected]`

void TInterpolator2D::ChangeCoordinateSystem | ( | const TMCArray< TVector2f > & | pointList,
|  | TMCArray< TVector2f > & | newPointList |
| ) |  |  | `[protected]`

EAlignement TInterpolator2D::GetAlignmentMode | ( |  | ) | `[inline]`

int32 TInterpolator2D::GetDimension | ( |  | ) |

void TInterpolator2D::Init | ( | const TMCArray< TVector2f > & | pointList | ) |

real64 TInterpolator2D::Interpolate | ( | TVector2f | clickpoint,
|  | TVectorN< real64 > & | paramValues |
| ) |  |  |

EAlignement TInterpolator2D::PointsAlignementTest | ( | const TMCArray< TVector2f > & | pointList | ) | `[protected]`

## Member Data Documentation

EAlignement TInterpolator2D::fAlignement`[protected]`

TVector2f TInterpolator2D::fFirstPoint`[protected]`

TMatrixMN<real64> TInterpolator2D::fInterpolationMatrix`[protected]`

TMCArray<TVector2f> TInterpolator2D::fPointList`[protected]`

TPointsMerger TInterpolator2D::fPointsMerger`[protected]`

TVector2d TInterpolator2D::fRefVector`[protected]`

TMatrixTriangulator TInterpolator2D::fTriangulator`[protected]`

The documentation for this class was generated from the following file:

- Interpolator2D.h